diff --git a/lpeval_headers_string.inc b/lpeval_headers_string.inc
index 9671548..2520076 100644
--- a/lpeval_headers_string.inc
+++ b/lpeval_headers_string.inc
@@ -7,61 +7,61 @@
 }
 {%MainUnit lpeval.pas}
 
-procedure _LapeUpperCase(const Params: PParamArray; const Result: Pointer);
-procedure _LapeLowerCase(const Params: PParamArray; const Result: Pointer);
-procedure _LapeUpCaseA(const Params: PParamArray; const Result: Pointer);
-procedure _LapeUpCaseW(const Params: PParamArray; const Result: Pointer);
+procedure _LapeUpperCase(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeLowerCase(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeUpCaseA(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeUpCaseW(const Params: PParamArray; const Result: Pointer); lape_extdecl
 
-procedure _LapeCompareStr(const Params: PParamArray; const Result: Pointer);
-procedure _LapeCompareMem(const Params: PParamArray; const Result: Pointer);
-procedure _LapeCompareText(const Params: PParamArray; const Result: Pointer);
-procedure _LapeSameText(const Params: PParamArray; const Result: Pointer);
+procedure _LapeCompareStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeCompareMem(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeCompareText(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeSameText(const Params: PParamArray; const Result: Pointer); lape_extdecl
 
-procedure _LapeAnsiUpperCase(const Params: PParamArray; const Result: Pointer);
-procedure _LapeAnsiLowerCase(const Params: PParamArray; const Result: Pointer);
-procedure _LapeAnsiCompareStr(const Params: PParamArray; const Result: Pointer);
-procedure _LapeAnsiCompareText(const Params: PParamArray; const Result: Pointer);
-procedure _LapeAnsiSameText(const Params: PParamArray; const Result: Pointer);
-procedure _LapeAnsiSameStr(const Params: PParamArray; const Result: Pointer);
+procedure _LapeAnsiUpperCase(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeAnsiLowerCase(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeAnsiCompareStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeAnsiCompareText(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeAnsiSameText(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeAnsiSameStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
 
-procedure _LapeTrim(const Params: PParamArray; const Result: Pointer);
-procedure _LapeTrimLeft(const Params: PParamArray; const Result: Pointer);
-procedure _LapeTrimRight(const Params: PParamArray; const Result: Pointer);
-procedure _LapePadL(const Params: PParamArray; const Result: Pointer);
-procedure _LapePadR(const Params: PParamArray; const Result: Pointer);
-procedure _LapeQuotedStr(const Params: PParamArray; const Result: Pointer);
-procedure _LapeAnsiQuotedStr(const Params: PParamArray; const Result: Pointer);
-procedure _LapeAnsiDequotedStr(const Params: PParamArray; const Result: Pointer);
+procedure _LapeTrim(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeTrimLeft(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeTrimRight(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapePadL(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapePadR(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeQuotedStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeAnsiQuotedStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeAnsiDequotedStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
 
-procedure _LapeWrapText(const Params: PParamArray; const Result: Pointer);
-procedure _LapeAdjustLineBreaks(const Params: PParamArray; const Result: Pointer);
+procedure _LapeWrapText(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeAdjustLineBreaks(const Params: PParamArray; const Result: Pointer); lape_extdecl
 
-procedure _LapeIntToHex(const Params: PParamArray; const Result: Pointer);
-procedure _LapeUIntToHex(const Params: PParamArray; const Result: Pointer);
-procedure _LapeStrToInt(const Params: PParamArray; const Result: Pointer);
-procedure _LapeStrToIntDef(const Params: PParamArray; const Result: Pointer);
-procedure _LapeStrToInt64(const Params: PParamArray; const Result: Pointer);
-procedure _LapeStrToInt64Def(const Params: PParamArray; const Result: Pointer);
-procedure _LapeStrToUInt64(const Params: PParamArray; const Result: Pointer);
-procedure _LapeStrToUInt64Def(const Params: PParamArray; const Result: Pointer);
-procedure _LapeStrToFloat(const Params: PParamArray; const Result: Pointer);
-procedure _LapeStrToFloatDef(const Params: PParamArray; const Result: Pointer);
-procedure _LapeStrToCurr(const Params: PParamArray; const Result: Pointer);
-procedure _LapeStrToCurrDef(const Params: PParamArray; const Result: Pointer);
-procedure _LapeStrToBool(const Params: PParamArray; const Result: Pointer);
-procedure _LapeBoolToStr(const Params: PParamArray; const Result: Pointer);
-procedure _LapeStrToBoolDef(const Params: PParamArray; const Result: Pointer);
+procedure _LapeIntToHex(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeUIntToHex(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeStrToInt(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeStrToIntDef(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeStrToInt64(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeStrToInt64Def(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeStrToUInt64(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeStrToUInt64Def(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeStrToFloat(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeStrToFloatDef(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeStrToCurr(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeStrToCurrDef(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeStrToBool(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeBoolToStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeStrToBoolDef(const Params: PParamArray; const Result: Pointer); lape_extdecl
 
-procedure _LapeFormat(const Params: PParamArray; const Result: Pointer);
-procedure _LapeFormatFloat(const Params: PParamArray; const Result: Pointer);
-procedure _LapeFormatCurr(const Params: PParamArray; const Result: Pointer);
+procedure _LapeFormat(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeFormatFloat(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeFormatCurr(const Params: PParamArray; const Result: Pointer); lape_extdecl
 
-procedure _LapeLastDelimiter(const Params: PParamArray; const Result: Pointer);
-procedure _LapeStringReplace(const Params: PParamArray; const Result: Pointer);
-procedure _LapeIsDelimiter(const Params: PParamArray; const Result: Pointer);
+procedure _LapeLastDelimiter(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeStringReplace(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeIsDelimiter(const Params: PParamArray; const Result: Pointer); lape_extdecl
 
-procedure _LapePos(const Params: PParamArray; const Result: Pointer);
-procedure _LapeCopy(const Params: PParamArray; const Result: Pointer);
-procedure _LapeInsert(const Params: PParamArray);
-procedure _LapeDelete(const Params: PParamArray);
-procedure _LapeStringOfChar(const Params: PParamArray; const Result: Pointer);
+procedure _LapePos(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeCopy(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeInsert(const Params: PParamArray); lape_extdecl
+procedure _LapeDelete(const Params: PParamArray); lape_extdecl
+procedure _LapeStringOfChar(const Params: PParamArray; const Result: Pointer); lape_extdecl
diff --git a/lpeval_headers_variant.inc b/lpeval_headers_variant.inc
index 6e5801c..edb4190 100644
--- a/lpeval_headers_variant.inc
+++ b/lpeval_headers_variant.inc
@@ -7,55 +7,55 @@
 }
 {%MainUnit lpeval.pas}
 
-procedure _LapeVarType(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarAsType(const Params: PParamArray; const Result: Pointer);
-
-procedure _LapeVarIsByRef(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarIsEmpty(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarIsNull(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarIsClear(const Params: PParamArray; const Result: Pointer);
-
-procedure _LapeVarIsError(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarAsError(const Params: PParamArray; const Result: Pointer);
-
-procedure _LapeVarIsCustom(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarIsOrdinal(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarIsFloat(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarIsNumeric(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarIsStr(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarIsArray(const Params: PParamArray; const Result: Pointer);
-
-procedure _LapeVarToStr(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarToStrDef(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarToWideStr(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarToWideStrDef(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarToUnicodeStr(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarToUnicodeStrDef(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarToDateTime(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarFromDateTime(const Params: PParamArray; const Result: Pointer);
-
-procedure _LapeVarInRange(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarEnsureRange(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarSameValue(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarCompareValue(const Params: PParamArray; const Result: Pointer);
-
-procedure _LapeVarTypeIsValidArrayType(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarTypeIsValidElementType(const Params: PParamArray; const Result: Pointer);
-
-procedure _LapeVarArrayCreate(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarArrayOf(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarArrayRedim(const Params: PParamArray);
-
-procedure _LapeVarArrayAsPSafeArray(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarCopyNoInd(const Params: PParamArray);
-
-procedure _LapeVarArrayDimCount(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarArrayLowBound(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarArrayHighBound(const Params: PParamArray; const Result: Pointer);
-
-procedure _LapeVarArrayLock(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarArrayUnlock(const Params: PParamArray);
-procedure _LapeVarArrayRef(const Params: PParamArray; const Result: Pointer);
-
-procedure _LapeVarArrayGet(const Params: PParamArray; const Result: Pointer);
-procedure _LapeVarArraySet(const Params: PParamArray);
+procedure _LapeVarType(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarAsType(const Params: PParamArray; const Result: Pointer); lape_extdecl
+
+procedure _LapeVarIsByRef(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarIsEmpty(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarIsNull(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarIsClear(const Params: PParamArray; const Result: Pointer); lape_extdecl
+
+procedure _LapeVarIsError(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarAsError(const Params: PParamArray; const Result: Pointer); lape_extdecl
+
+procedure _LapeVarIsCustom(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarIsOrdinal(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarIsFloat(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarIsNumeric(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarIsStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarIsArray(const Params: PParamArray; const Result: Pointer); lape_extdecl
+
+procedure _LapeVarToStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarToStrDef(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarToWideStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarToWideStrDef(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarToUnicodeStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarToUnicodeStrDef(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarToDateTime(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarFromDateTime(const Params: PParamArray; const Result: Pointer); lape_extdecl
+
+procedure _LapeVarInRange(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarEnsureRange(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarSameValue(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarCompareValue(const Params: PParamArray; const Result: Pointer); lape_extdecl
+
+procedure _LapeVarTypeIsValidArrayType(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarTypeIsValidElementType(const Params: PParamArray; const Result: Pointer); lape_extdecl
+
+procedure _LapeVarArrayCreate(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarArrayOf(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarArrayRedim(const Params: PParamArray); lape_extdecl
+
+procedure _LapeVarArrayAsPSafeArray(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarCopyNoInd(const Params: PParamArray); lape_extdecl
+
+procedure _LapeVarArrayDimCount(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarArrayLowBound(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarArrayHighBound(const Params: PParamArray; const Result: Pointer); lape_extdecl
+
+procedure _LapeVarArrayLock(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarArrayUnlock(const Params: PParamArray); lape_extdecl
+procedure _LapeVarArrayRef(const Params: PParamArray; const Result: Pointer); lape_extdecl
+
+procedure _LapeVarArrayGet(const Params: PParamArray; const Result: Pointer); lape_extdecl
+procedure _LapeVarArraySet(const Params: PParamArray); lape_extdecl
diff --git a/lpeval_wrappers_datetime.inc b/lpeval_wrappers_datetime.inc
index bb6b476..53e3cfc 100644
--- a/lpeval_wrappers_datetime.inc
+++ b/lpeval_wrappers_datetime.inc
@@ -7,47 +7,47 @@
 }
 {%MainUnit lpeval.pas}
 
-procedure _LapeEncodeDate(const Params: PParamArray; const Result: Pointer);
+procedure _LapeEncodeDate(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PDateTime(Result)^ := EncodeDate(PUInt16(Params^[0])^, PUInt16(Params^[1])^, PUInt16(Params^[2])^);
 end;
 
-procedure _LapeEncodeTime(const Params: PParamArray; const Result: Pointer);
+procedure _LapeEncodeTime(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PDateTime(Result)^ := EncodeTime(PUInt16(Params^[0])^, PUInt16(Params^[1])^, PUInt16(Params^[2])^, PUInt16(Params^[3])^);
 end;
 
-procedure _LapeDecodeDate(const Params: PParamArray);
+procedure _LapeDecodeDate(const Params: PParamArray); lape_extdecl
 begin
   DecodeDate(PDateTime(Params^[0])^, PUInt16(Params^[1])^, PUInt16(Params^[2])^, PUInt16(Params^[3])^);
 end;
 
-procedure _LapeDecodeDateFully(const Params: PParamArray; const Result: Pointer);
+procedure _LapeDecodeDateFully(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PBoolean(Result)^ := DecodeDateFully(PDateTime(Params^[0])^, PUInt16(Params^[1])^, PUInt16(Params^[2])^, PUInt16(Params^[3])^, PUInt16(Params^[4])^);
 end;
 
-procedure _LapeDecodeTime(const Params: PParamArray);
+procedure _LapeDecodeTime(const Params: PParamArray); lape_extdecl
 begin
   DecodeTime(PDateTime(Params^[0])^, PUInt16(Params^[1])^, PUInt16(Params^[2])^, PUInt16(Params^[3])^, PUInt16(Params^[4])^);
 end;
 
-procedure _LapeDate(const Params: PParamArray; const Result: Pointer);
+procedure _LapeDate(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PDateTime(Result)^ := Date();
 end;
 
-procedure _LapeTime(const Params: PParamArray; const Result: Pointer);
+procedure _LapeTime(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PDateTime(Result)^ := Time();
 end;
 
-procedure _LapeNow(const Params: PParamArray; const Result: Pointer);
+procedure _LapeNow(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PDateTime(Result)^ := Now();
 end;
 
-procedure _LapeGetTickCount(const Params: PParamArray; const Result: Pointer);
+procedure _LapeGetTickCount(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   {$IF DECLARED(GetTickCount)}
   PUInt32(Result)^ := GetTickCount();
@@ -56,52 +56,52 @@ begin
   {$IFEND}
 end;
 
-procedure _LapeSleep(const Params: PParamArray);
+procedure _LapeSleep(const Params: PParamArray); lape_extdecl
 begin
   Sleep(PUInt32(Params^[0])^);
 end;
 
-procedure _LapeReplaceTime(const Params: PParamArray);
+procedure _LapeReplaceTime(const Params: PParamArray); lape_extdecl
 begin
   ReplaceTime(PDateTime(Params^[0])^, PDateTime(Params^[1])^);
 end;
 
-procedure _LapeReplaceDate(const Params: PParamArray);
+procedure _LapeReplaceDate(const Params: PParamArray); lape_extdecl
 begin
   ReplaceDate(PDateTime(Params^[0])^, PDateTime(Params^[1])^);
 end;
 
-procedure _LapeFormatDateTime(const Params: PParamArray; const Result: Pointer);
+procedure _LapeFormatDateTime(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := FormatDateTime(PlpString(Params^[0])^, PDateTime(Params^[1])^);
 end;
 
-procedure _LapeStrToDate(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToDate(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PDateTime(Result)^ := StrToDate(PlpString(Params^[0])^);
 end;
 
-procedure _LapeStrToDateDef(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToDateDef(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PDateTime(Result)^ := StrToDateDef(PlpString(Params^[0])^, PDateTime(Params^[1])^);
 end;
 
-procedure _LapeStrToTime(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToTime(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PDateTime(Result)^ := StrToTime(PlpString(Params^[0])^);
 end;
 
-procedure _LapeStrToTimeDef(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToTimeDef(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PDateTime(Result)^ := StrToTimeDef(PlpString(Params^[0])^, PDateTime(Params^[1])^);
 end;
 
-procedure _LapeStrToDateTime(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToDateTime(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PDateTime(Result)^ := StrToDateTime(PlpString(Params^[0])^);
 end;
 
-procedure _LapeStrToDateTimeDef(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToDateTimeDef(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PDateTime(Result)^ := StrToDateTimeDef(PlpString(Params^[0])^, PDateTime(Params^[1])^);
 end;
diff --git a/lpeval_wrappers_math.inc b/lpeval_wrappers_math.inc
index ad5942f..4e0229d 100644
--- a/lpeval_wrappers_math.inc
+++ b/lpeval_wrappers_math.inc
@@ -7,102 +7,102 @@
 }
 {%MainUnit lpeval.pas}
 
-procedure _LapeAbs(const Params: PParamArray; const Result: Pointer);
+procedure _LapeAbs(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PExtended(Result)^ := Abs(PExtended(Params^[0])^);
 end;
 
-procedure _LapeAbsI(const Params: PParamArray; const Result: Pointer);
+procedure _LapeAbsI(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PInt64(Result)^ := Abs(PInt64(Params^[0])^);
 end;
 
-procedure _LapeSqr(const Params: PParamArray; const Result: Pointer);
+procedure _LapeSqr(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PExtended(Result)^ := Sqr(PExtended(Params^[0])^);
 end;
 
-procedure _LapeSqrt(const Params: PParamArray; const Result: Pointer);
+procedure _LapeSqrt(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PExtended(Result)^ := Sqrt(PExtended(Params^[0])^);
 end;
 
-procedure _LapeArcTan(const Params: PParamArray; const Result: Pointer);
+procedure _LapeArcTan(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PExtended(Result)^ := ArcTan(PExtended(Params^[0])^);
 end;
 
-procedure _LapeLn(const Params: PParamArray; const Result: Pointer);
+procedure _LapeLn(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PExtended(Result)^ := Ln(PExtended(Params^[0])^);
 end;
 
-procedure _LapeSin(const Params: PParamArray; const Result: Pointer);
+procedure _LapeSin(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PExtended(Result)^ := Sin(PExtended(Params^[0])^);
 end;
 
-procedure _LapeCos(const Params: PParamArray; const Result: Pointer);
+procedure _LapeCos(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PExtended(Result)^ := Cos(PExtended(Params^[0])^);
 end;
 
-procedure _LapeExp(const Params: PParamArray; const Result: Pointer);
+procedure _LapeExp(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PExtended(Result)^ := Exp(PExtended(Params^[0])^);
 end;
 
-procedure _LapeRound(const Params: PParamArray; const Result: Pointer);
+procedure _LapeRound(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PInt64(Result)^ := Round(PExtended(Params^[0])^);
 end;
 
-procedure _LapeRoundTo(const Params: PParamArray; const Result: Pointer);
+procedure _LapeRoundTo(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PExtended(Result)^ := RoundTo(PExtended(Params^[0])^, -PInt8(Params^[1])^);
 end;
 
-procedure _LapeFrac(const Params: PParamArray; const Result: Pointer);
+procedure _LapeFrac(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PExtended(Result)^ := Frac(PExtended(Params^[0])^);
 end;
 
-procedure _LapeInt(const Params: PParamArray; const Result: Pointer);
+procedure _LapeInt(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PExtended(Result)^ := Int(PExtended(Params^[0])^);
 end;
 
-procedure _LapeTrunc(const Params: PParamArray; const Result: Pointer);
+procedure _LapeTrunc(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PInt64(Result)^ := Trunc(PExtended(Params^[0])^);
 end;
 
-procedure _LapeCeil(const Params: PParamArray; const Result: Pointer);
+procedure _LapeCeil(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PInt64(Result)^ := Ceil(PExtended(Params^[0])^);
 end;
 
-procedure _LapeFloor(const Params: PParamArray; const Result: Pointer);
+procedure _LapeFloor(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PInt64(Result)^ := Floor(PExtended(Params^[0])^);
 end;
 
-procedure _LapeRandomRange(const Params: PParamArray; const Result: Pointer);
+procedure _LapeRandomRange(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   Pint64(Result)^ := PInt64(Params^[0])^ + Random(PInt64(Params^[1])^ - PInt64(Params^[0])^ + 1);
 end;
 
-procedure _LapeRandom(const Params: PParamArray; const Result: Pointer);
+procedure _LapeRandom(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   Pint64(Result)^ := Random(PInt64(Params^[0])^);
 end;
 
-procedure _LapeRandomF(const Params: PParamArray; const Result: Pointer);
+procedure _LapeRandomF(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PExtended(Result)^ := Random();
 end;
 
-procedure _LapeRandomize(const Params: PParamArray);
+procedure _LapeRandomize(const Params: PParamArray); lape_extdecl
 begin
   Randomize();
 end;
